
Smart Proxy - Bug #27509

Smart-proxy USR1 reopen does not work

08/05/2019 09:45 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Core   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/668

  

Description

It looks like after refactoring to logging gem the USR1 "reopen" UNIX signal no longer works as reported at:

https://community.theforeman.org/t/foreman-proxy-open-fd-of-deleted-log-files-hdd-out-of-space/14481/4

Associated revisions

Revision c6f61629 - 08/14/2019 11:17 AM - Lukas Zapletal 

Fixes #27509 - logging reopen USR1 handler fixed

History

#1 - 08/05/2019 10:06 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/668 added

#2 - 08/14/2019 11:17 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#3 - 08/14/2019 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset c6f61629319f515f958ec940948743311e21e8b6.
